Bug 1413733 - Using VDPAU provider for modesetting
Summary: Using VDPAU provider for modesetting
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-16 20:29 UTC by Nicolas Chauvet (kwizart)
Modified: 2017-04-03 16:07 UTC (History)
3 users (show)

Fixed In Version: xorg-x11-server-1.19.3-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-03 16:07:23 UTC
Type: Bug


Attachments (Terms of Use)

Description Nicolas Chauvet (kwizart) 2017-01-16 20:29:15 UTC
Currently (up to f25) the VAAPI provider for intel DDX is set to va_gl
With the modesetting driver it is set back to same as the DRI driver.

There is a need to check if other DRI drivers can work with VAAPI under GL (va_gl) and modesetting (specially on others arches).

https://bugzilla.redhat.com/show_bug.cgi?id=1392917

Comment 1 Fedora End Of Life 2017-02-28 11:00:15 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Hans de Goede 2017-03-06 14:01:14 UTC
I've put this one on my to-do list. I need to think a bit about how to best solve this, but I will try to get this fixed soon.

Comment 3 Hans de Goede 2017-03-23 12:32:24 UTC
xorg-x11-server-1.19.3-2.fc26 with a fix for this is now building.

Comment 4 Fedora Update System 2017-03-23 13:06:03 UTC
xorg-x11-server-1.19.3-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ff342c515a

Comment 5 Fedora Update System 2017-03-24 14:51:44 UTC
xorg-x11-server-1.19.3-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ff342c515a

Comment 6 Fedora Update System 2017-04-03 16:07:23 UTC
xorg-x11-server-1.19.3-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.